#!/bin/sh
#
# dkbot.sh
#
# Copyright (c) 2012, Jack D. Unrue
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

dkhome=`pwd`/..
if [ ! "$DAKENGO_HOME" = "" ];
then
  dkhome=$DAKENGO_HOME
fi

CP=$dkhome/jars/dakengo-0.1.0.jar
CP=$dkhome/jars/commons-collections-3.2.1.jar:$CP
CP=$dkhome/jars/commons-lang3-3.1.jar:$CP
CP=$dkhome/jars/commons-primitives-1.0.jar:$CP
CP=$dkhome/jars/gson-2.2.2.jar:$CP
CP=$dkhome/jars/jspf.core-1.0.2.jar:$CP
CP=$dkhome/jars/log4j-api-2.0-beta3.jar:$CP
CP=$dkhome/jars/log4j-core-2.0-beta3.jar:$CP

java -cp $CP -Ddakengo.app.home.dir=$dkhome com.dakengo.apps.bot.Program $*
